org.apache.cassandra.index.sasi.conf.view

## Class TermTree.Builder

- java.lang.Object
- - org.apache.cassandra.index.sasi.conf.view.TermTree.Builder

Direct Known Subclasses:
  PrefixTermTree.Builder

Enclosing interface:
  TermTree

    public abstract static class TermTree.Builder
    extends java.lang.Object

### Field Summary

Fields
`protected AbstractType<?>` `comparator`
`protected java.nio.ByteBuffer` `max`
`protected java.nio.ByteBuffer` `min`
`protected OnDiskIndexBuilder.Mode` `mode`

### Constructor Summary

Constructors
`protected` `Builder(OnDiskIndexBuilder.Mode mode, AbstractType<?> comparator)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `add(SSTableIndex index)`
`protected abstract void` `addIndex(SSTableIndex index)`
`abstract TermTree` `build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mode

    protected final OnDiskIndexBuilder.Mode mode

#### comparator

    protected final AbstractType<?> comparator

#### min

    protected java.nio.ByteBuffer min

#### max

    protected java.nio.ByteBuffer max

### Constructor Detail

#### Builder

    protected Builder(OnDiskIndexBuilder.Mode mode,
                      AbstractType<?> comparator)

### Method Detail

#### add

    public final void add(SSTableIndex index)

#### addIndex

    protected abstract void addIndex(SSTableIndex index)

#### build

    public abstract TermTree build()